// navbar
.bp3-navbar {
  box-shadow: none;
  padding: 0 12px 0 8px;
  border: 1px solid $white3;
  .bp3-navbar-group {
    .bp3-navbar-heading {
      margin-right: 24px;
      background-position: left center;
      background-repeat: no-repeat;
      height: 52px;
    }
    ul {
      margin: 0;
      padding: 0;
      list-style: none;
      li {
        display: inline-block;
        vertical-align: middle;
        margin-right: 32px;
        font-size: 18px;
        a {
          color: $rt-blue2;
          font-weight: 400;
          line-height: 32px;
        }
        a:hover {
          border-bottom: 4px solid $rt-red1;
          padding: 22px 0;
        }
      }
      li:first-child {
        margin-left: 0;
      }
      li:last-child {
        margin-right: 0;
      }
    }
    &.nav-right {
      .user {
        background-repeat: no-repeat;
        background-position: right center;
        width: 48px;
        height: 48px;
        border-radius: 100px;
        margin-right: 12px;
      }
      .bp3-button {
        &.bp3-minimal {
          color: $rt-blue1;
          svg {
            width: 24px;
            height: 24px;
          }
          &:hover, &:active {
            background: none;
          }
          &.bp3-intent-primary, .bp3-icon {
            color: $rt-blue1;
          }
        }
      }
    }
  }
  &.light_version {
    background: $white4;
    border: 1px solid $white5;
    .bp3-navbar-group {
      &.nav-right {
        .user {
          border: 1px solid $white5;
        }
      }
    }
    &.bp3-fixed-top {
      border: none;
    }
  }
  &.dark_version {
    background: $oxford-blue;
    border: 1px solid $white5;
    .bp3-navbar-group {
      ul {
        li {
          a {
            color: $white5;
          }
        }
      }
      &.nav-right {
        .user {
          border: 1px solid #C2C2C2;
        }
        .bp3-button {
          &.bp3-minimal {
            color: $white5;
            &:hover, &:active {
              background: none;
            }
            &.bp3-intent-primary, .bp3-icon {
              color: $white5;
            }
          }
        }
      }
    }
    &.bp3-fixed-top {
      border: none;
    }
  }
}
